import '/components/organism_components/menu_list_view_component/menu_list_view_component_widget.dart';
import '/components/organism_components/menu_staggered_view_component/menu_staggered_view_component_widget.dart';
import '/flutter_flow/flutter_flow_util.dart';
import 'package:flutter/material.dart';
import 'menu_component_model.dart';
export 'menu_component_model.dart';

class MenuComponentWidget extends StatefulWidget {
  const MenuComponentWidget({super.key});

  @override
  State<MenuComponentWidget> createState() => _MenuComponentWidgetState();
}

class _MenuComponentWidgetState extends State<MenuComponentWidget> {
  late MenuComponentModel _model;

  @override
  void setState(VoidCallback callback) {
    super.setState(callback);
    _model.onUpdate();
  }

  @override
  void initState() {
    super.initState();
    _model = createModel(context, () => MenuComponentModel());
  }

  @override
  void dispose() {
    _model.maybeDispose();

    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsetsDirectional.fromSTEB(0.0, 10.0, 0.0, 0.0),
      child: Builder(
        builder: (context) {
          if (_model.isGrid == true) {
            return wrapWithModel(
              model: _model.menuListViewComponentModel,
              updateCallback: () => setState(() {}),
              updateOnChange: true,
              child: MenuListViewComponentWidget(
                changeMenuStyle: () async {
                  await _model.changeMenuStyle(context);
                  setState(() {});
                },
                registerVisitorOptAction: () async {
                  await _model.registerVisitorOptAction(context);
                  setState(() {});
                },
                scheduleVisitOptAction: () async {
                  await _model.scheduleVisitOptAction(context);
                  setState(() {});
                },
                peopleOnThePropertyOptAction: () async {
                  await _model.peopleOnThePropertyAction(context);
                  setState(() {});
                },
                acessHistoryOptAction: () async {
                  await _model.acessHistoryOptAction(context);
                  setState(() {});
                },
              ),
            );
          } else {
            return wrapWithModel(
              model: _model.menuStaggeredViewComponentModel,
              updateCallback: () => setState(() {}),
              updateOnChange: true,
              child: MenuStaggeredViewComponentWidget(
                changeMenuStyleAction: () async {
                  await _model.changeMenuStyle(context);
                  setState(() {});
                },
                registerVisitorOptAction: () async {
                  await _model.registerVisitorOptAction(context);
                  setState(() {});
                },
                scheduleVisitOptAction: () async {
                  await _model.scheduleVisitOptAction(context);
                  setState(() {});
                },
                peopleOnThePropertyOptAction: () async {
                  await _model.peopleOnThePropertyAction(context);
                  setState(() {});
                },
                accessHistoryOptAction: () async {
                  await _model.acessHistoryOptAction(context);
                  setState(() {});
                },
              ),
            );
          }
        },
      ),
    );
  }
}
